Subject: Re: [avtext] I-D Action: draft-ietf-avtext-sdes-hdr-ext-04.txt

From: Bo Burman <[email-masked]>
Date: Wed, 2 Mar 2016 16:59:54 +0000

Hi,

Thank you for the comments. I think they are all good, and I will shortly submit an updated draft. I chose to make the new sub-registry creation section similar to RFC 5285 section 9.1 that creates the base registry, which I believe should be clearer than the previous prose text.

I checked the current IANA RTP Compact Header Extensions registry for MID (urn:ietf:params:rtp-hdrext:sdes:mid), and it seems it is no longer present there, so I removed the text that asks to move it into the new registry.

Cheers,
/Bo

> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
> Sent: den 29 februari 2016 22:06
> To: Bo Burman
> Cc: [email-masked]; [email-masked]
> Subject: Re: [avtext] I-D Action: draft-ietf-avtext-sdes-hdr-ext-04.txt
> 
> Hi,
> 
> I think this version is almost ready to progress, but I do have some minor comments about the new IANA section. Since
> the IETF last call prompts IANA to start their review and plan their updates, and it might be confusing to have IANA
> consideration updates while this is in progress, we probably need to resolve this before last call.
> 
> -- 5.1, paragraph 5:
> 
> The text says "IANA is requested to register the below in the RTP Compact Header Extensions: Extensions, and to create
> the corresponding sub-registry:"
> 
> But nothing in the rest of the section appears to describe the creation of the sub-registry. Now, I think you've given most
> the information needed in 5.0, but that section reads like a summary rather than an actual request for action. I propose a
> slight rearrangement, along the lines of the following:
> 
> 5.0: Summary
> 5.1: registration of the URN.
> 5.2: Creation of the sub registry. (The sub-registry probably needs a human-readable name in addition to the URN.)
> 5.3: <current 5.2>
> 
> -- 5.2, last paragraph
> 
> The RFC editor does not move things in IANA registries. IANA does that.
> I suggest the following:
> OLD
>     RFC-editor note: Please move the MID SDES item already registered in
>     the main registry by [I-D.ietf-mmusic-sdp-bundle-negotiation] to the
>     newly formed RTP SDES Compact Header Extensions.
> NEW
>     IANA is also requested to move the MID SDES item already registered in
>     the main registry by [I-D.ietf-mmusic-sdp-bundle-negotiation] to the
>     newly formed RTP SDES Compact Header Extensions.
> 
> 
> 
> On 22 Feb 2016, at 2:44, Bo Burman wrote:
> 
> > This update addresses the AD comment on explicitly requesting an IANA
> > sub-registry for the urn:ietf:params:rtp-hdrext:sdes sub-space, with
> > the additional RTCP SDES concerns described in this draft, compared to
> > what is already described for urn:ietf:params:rtp-hdrext. It also
> > addresses the AD comment on receiver actions for section 4.2.6, which
> > was accidentally omitted from the previous version.
> >
> > Cheers,
> > /Bo
> >
> >> -----Original Message-----
> >> From: avtext [mailto:[email-masked]] On Behalf Of
> >> [email-masked]
> >> Sent: den 22 februari 2016 09:36
> >> To: [email-masked]
> >> Cc: [email-masked]
> >> Subject: [avtext] I-D Action: draft-ietf-avtext-sdes-hdr-ext-04.txt
> >>
> >>
> >> A New Internet-Draft is available from the on-line Internet-Drafts
> >> directories.
> >> This draft is a work item of the Audio/Video Transport Extensions of
> >> the IETF.
> >>
> >>         Title           : RTP Header Extension for RTCP Source
> >> Description Items
> >>         Authors         : Magnus Westerlund
> >>                           Bo Burman
> >>                           Roni Even
> >>                           Mo Zanaty
> >> 	Filename        : draft-ietf-avtext-sdes-hdr-ext-04.txt
> >> 	Pages           : 15
> >> 	Date            : 2016-02-22
> >>
> >> Abstract:
> >>    Source Description (SDES) items are normally transported in RTP
> >>    control protocol (RTCP).  In some cases it can be beneficial to
> >> speed
> >>    up the delivery of these items.  Mainly when a new source (SSRC)
> >>    joins an RTP session and the receivers needs this source's
> >> identity,
> >>    relation to other sources, or its synchronization context, all of
> >>    which may be fully or partially identified using SDES items.  To
> >>    enable this optimization, this document specifies a new RTP header
> >>    extension that can carry SDES items.
> >>
> >>
> >> The IETF datatracker status page for this draft is:
> >> https://datatracker.ietf.org/doc/draft-ietf-avtext-sdes-hdr-ext/
> >>
> >> There's also a htmlized version available at:
> >> https://tools.ietf.org/html/draft-ietf-avtext-sdes-hdr-ext-04
> >>
> >> A diff from the previous version is available at:
> >> https://www.ietf.org/rfcdiff?url2=draft-ietf-avtext-sdes-hdr-ext-04
> >>
> >>
> >> Please note that it may take a couple of minutes from the time of
> >> submission until the htmlized version and diff are
> >> available at tools.ietf.org.
> >>
> >> Internet-Drafts are also available by anonymous FTP at:
> >> ftp://ftp.ietf.org/internet-drafts/
> >>
> >> _______________________________________________
> >> avtext mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/avtext

---

From: "Ben Campbell" <[email-masked]>
Date: Fri, 04 Mar 2016 16:25:11 -0600

Thanks! I have requested IETF Last Call for version 05.

Ben.

On 2 Mar 2016, at 10:59, Bo Burman wrote:

> Hi,
>
> Thank you for the comments. I think they are all good, and I will 
> shortly submit an updated draft. I chose to make the new sub-registry 
> creation section similar to RFC 5285 section 9.1 that creates the base 
> registry, which I believe should be clearer than the previous prose 
> text.
>
> I checked the current IANA RTP Compact Header Extensions registry for 
> MID (urn:ietf:params:rtp-hdrext:sdes:mid), and it seems it is no 
> longer present there, so I removed the text that asks to move it into 
> the new registry.
>
> Cheers,
> /Bo
>
>> I think this version is almost ready to progress, but I do have some 
>> minor comments about the new IANA section. Since
>> the IETF last call prompts IANA to start their review and plan their 
>> updates, and it might be confusing to have IANA
>> The text says "IANA is requested to register the below in the RTP 
>> Compact Header Extensions: Extensions, and to create
>> But nothing in the rest of the section appears to describe the 
>> creation of the sub-registry. Now, I think you've given most
>> the information needed in 5.0, but that section reads like a summary 
>> rather than an actual request for action. I propose a
>> 5.2: Creation of the sub registry. (The sub-registry probably needs a 
>> human-readable name in addition to the URN.)
>> 5.3: <current 5.2>
>>
>> -- 5.2, last paragraph
>>